For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI Reference
  • Data API
      • POSTDetokenize
      • POSTTokenize
LogoLogo
Login
Login
Data APITokens

Tokenize

POST
/v1/vaults/:vaultID/tokenize
POST
/v1/vaults/:vaultID/tokenize
$curl -X POST https://{{vault_uri}}.vault.skyflowapis.com/v1/vaults/vaultID/tokenize \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "tokenizationParameters": [
> {}
> ]
>}'
1{
2 "records": [
3 {
4 "token": "04/75/6955"
5 }
6 ]
7}

Returns tokens that correspond to the specified records. Only applicable for fields with deterministic tokenization.

Note: This endpoint doesn’t insert records—it returns tokens for existing values. To insert records and return tokens for that new record’s values, see Insert Records’ tokenization parameter.

Was this page helpful?
Previous

Execute Query

Next
Built with

Authentication

AuthorizationBearer

Access token, prefixed by Bearer .

Path parameters

vaultIDstringRequired
ID of the vault.

Request

This endpoint expects an object.
tokenizationParameterslist of objectsRequired
Tokenization details.

Response

OK
recordslist of objects
Tokens corresponding to the specified values.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error